<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetDeletedFilter StructType
 * @subpackage Structs
 */
class GetDeletedFilter extends AbstractStructBase
{
    /**
     * The deletedDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $deletedDate;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $type;
    /**
     * The scriptId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $scriptId;
    /**
     * Constructor method for GetDeletedFilter
     * @uses GetDeletedFilter::setDeletedDate()
     * @uses GetDeletedFilter::setType()
     * @uses GetDeletedFilter::setScriptId()
     * @param \StructType\SearchDateField $deletedDate
     * @param \StructType\SearchEnumMultiSelectField $type
     * @param \StructType\SearchStringField $scriptId
     */
    public function __construct(\StructType\SearchDateField $deletedDate = null, \StructType\SearchEnumMultiSelectField $type = null, \StructType\SearchStringField $scriptId = null)
    {
        $this
            ->setDeletedDate($deletedDate)
            ->setType($type)
            ->setScriptId($scriptId);
    }
    /**
     * Get deletedDate value
     * @return \StructType\SearchDateField|null
     */
    public function getDeletedDate()
    {
        return $this->deletedDate;
    }
    /**
     * Set deletedDate value
     * @param \StructType\SearchDateField $deletedDate
     * @return \StructType\GetDeletedFilter
     */
    public function setDeletedDate(\StructType\SearchDateField $deletedDate = null)
    {
        $this->deletedDate = $deletedDate;
        return $this;
    }
    /**
     * Get type value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param \StructType\SearchEnumMultiSelectField $type
     * @return \StructType\GetDeletedFilter
     */
    public function setType(\StructType\SearchEnumMultiSelectField $type = null)
    {
        $this->type = $type;
        return $this;
    }
    /**
     * Get scriptId value
     * @return \StructType\SearchStringField|null
     */
    public function getScriptId()
    {
        return $this->scriptId;
    }
    /**
     * Set scriptId value
     * @param \StructType\SearchStringField $scriptId
     * @return \StructType\GetDeletedFilter
     */
    public function setScriptId(\StructType\SearchStringField $scriptId = null)
    {
        $this->scriptId = $scriptId;
        return $this;
    }
}
